Subject: Re: linux-next: manual merge of the block tree with the tree

From: Christoph Hellwig <[email-masked]>
Date: Fri, 8 Nov 2013 00:02:21 -0800

On Thu, Nov 07, 2013 at 11:56:17PM -0800, Kent Overstreet wrote:
> So, I don't think the iov_iter stuff is the right approach for solving
> the loop issue; it's an ugly hack and after immutable biovecs we're
> pretty close to a better solution and some major cleanups too.

All the consumers aren't limited to a block-based filesystem backing,
including loop.  So we need a file-ops based approach for in-kernel
dio/aio.  If you have a counter proposal please at least describe it.